commit:     a5150c0d8ab1c185bc6961d9469e53ccd1b247a2
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 11 17:19:32 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Jan 11 17:27:31 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5150c0d

media-sound/tagtool: Revbump, modernize to EAPI=6

Also fix Gentoo Bug #513012

Package-Manager: portage-2.2.26

 .../files/tagtool-0.12.3-underlinking.patch        | 49 ++++++++++++++++++
 media-sound/tagtool/tagtool-0.12.3-r1.ebuild       | 60 ++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/media-sound/tagtool/files/tagtool-0.12.3-underlinking.patch 
b/media-sound/tagtool/files/tagtool-0.12.3-underlinking.patch
new file mode 100644
index 0000000..14c4bba
--- /dev/null
+++ b/media-sound/tagtool/files/tagtool-0.12.3-underlinking.patch
@@ -0,0 +1,49 @@
+Fix underlinking issues caused by missing libm and libogg linking
+Gentoo Bug: https://bugs.gentoo.org/show_bug.cgi?id=513012
+
+--- tagtool-0.12.3/configure.ac
++++ tagtool-0.12.3/configure.ac
+@@ -50,6 +50,12 @@
+ fi;
+ 
+ 
++dnl Check for libm for ceil()
++AC_SEARCH_LIBS([ceil], [m], [], [
++      AC_MSG_ERROR([unable to find the ceil() function])
++])
++
++
+ dnl Check for gtk and related libraries
+ PKG_CHECK_MODULES(GTK, [glib-2.0 >= 2.12.0
+                      gtk+-2.0 >= 2.8.0
+@@ -91,6 +97,9 @@
+       AC_CHECK_LIB(vorbisfile, main,,
+               [enable_vorbis=no;  disable_vorbis_reason="(missing vorbisfile 
library)"])
+ fi;
++if test "$enable_vorbis" = "yes"; then
++      PKG_CHECK_MODULES([OGG], [ogg])
++fi;
+ 
+ AM_CONDITIONAL(ENABLE_MP3,    test "$enable_mp3" = "yes")
+ AM_CONDITIONAL(ENABLE_VORBIS, test "$enable_vorbis" = "yes")
+--- tagtool-0.12.3/src/Makefile.am
++++ tagtool-0.12.3/src/Makefile.am
+@@ -28,7 +28,8 @@
+ vorbis_sources = vorbis_file.c vorbis_file.h vorbis_edit.c            \
+       vorbis_edit.h vorbis_edit_field.c vorbis_edit_field.h vcedit.c  \
+       vcedit.h
+-vorbis_cflags = -DENABLE_VORBIS
++vorbis_cflags = $(OGG_CFLAGS) -DENABLE_VORBIS
++vorbis_libs = $(OGG_LIBS)
+ else
+ vorbis_sources =
+ vorbis_cflags =
+@@ -39,7 +40,7 @@
+       ${vorbis_cflags} -DDATADIR='"$(datadir)/${PACKAGE_NAME}"'
+ 
+ tagtool_LDFLAGS = -export-dynamic
+-tagtool_LDADD = $(GTK_LIBS)
++tagtool_LDADD = $(GTK_LIBS) ${vorbis_libs}
+ 
+ tagtool_SOURCES = file_list.c file_list.h file_util.c file_util.h     \
+       edit_tab.c edit_tab.h elist.c elist.h main.c math_util.c        \

diff --git a/media-sound/tagtool/tagtool-0.12.3-r1.ebuild 
b/media-sound/tagtool/tagtool-0.12.3-r1.ebuild
new file mode 100644
index 0000000..6a1d325
--- /dev/null
+++ b/media-sound/tagtool/tagtool-0.12.3-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Audio Tag Tool Ogg/Mp3 Tagger"
+HOMEPAGE="http://pwp.netcabo.pt/paol/tagtool";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="vorbis mp3"
+
+RDEPEND="x11-libs/gtk+:2
+       >=gnome-base/libglade-2.6
+       mp3? ( >=media-libs/id3lib-3.8.3-r6 )
+       vorbis? ( >=media-libs/libvorbis-1 )
+       !mp3? ( !vorbis? ( >=media-libs/libvorbis-1 ) )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-underlinking.patch
+)
+
+src_prepare() {
+       # QA fix for wrong boolean value
+       sed -i -e 's/Terminal=False/Terminal=false/' data/tagtool.desktop.in || 
die
+
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myconf
+
+       use mp3 || myconf="${myconf} --disable-mp3"
+       use vorbis || myconf="${myconf} --disable-vorbis"
+
+       if ! use mp3 && ! use vorbis; then
+               einfo "One of USE flags is required, enabling vorbis for you."
+               myconf="--disable-mp3"
+       fi
+
+       econf ${myconf}
+}
+
+src_install() {
+       emake \
+               DESTDIR="${D}" \
+               GNOME_SYSCONFDIR="${D}/etc" \
+               sysdir="${D}/usr/share/applets/Multimedia" \
+               install || die
+
+       dodoc ChangeLog NEWS README TODO THANKS
+}

Reply via email to